Bug 301093 - kate closed when i was getting add on and apps
Summary: kate closed when i was getting add on and apps
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
: 307005 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-06-03 09:32 UTC by Jessica
Modified: 2012-09-19 06:34 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: KDE 4.8.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jessica 2012-06-03 09:32:21 UTC
Application: kate (3.8.3)
KDE Platform Version: 4.8.3 (4.8.3) (Compiled from sources)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-25-generic-pae i686
Distribution: Ubuntu 12.04 LTS

-- Information about the crash:
- What I was doing when the application crashed: I was just setting kate up so i could look at old files and i was downloading some apps for it and it just shut down.

The crash can be reproduced every time.

-- Backtrace:
Application: Kate (kate), signal: Aborted
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb4d70980 (LWP 13411))]

Thread 6 (Thread 0xb27b1b40 (LWP 13471)):
#0  0xb5f03c49 in __pthread_mutex_unlock_usercnt () from /lib/i386-linux-gnu/libpthread.so.0
#1  0xb76e0634 in pthread_mutex_unlock () from /lib/i386-linux-gnu/libc.so.6
#2  0xb5e6d3d0 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb5e2df10 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb5e2e52b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb27bc134 in ?? () from /usr/lib/i386-linux-gnu/gio/modules/libdconfsettings.so
#6  0xb5e51673 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb5f00d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0xb76d2ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 5 (Thread 0xb1dffb40 (LWP 13474)):
#0  0xb5e6d390 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb5e2e04c in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb5e2e52b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb354c0ea in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#4  0xb5e51673 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb5f00d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0xb76d2ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 4 (Thread 0xaf034b40 (LWP 13504)):
#0  0xb5428dcd in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0xb60f4315 in do_gettime (frac=0xaf033fb0, sec=0xaf033fa8) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb61de226 in QTimerInfoList::updateCurrentTime (this=0xb140223c) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb61de57a in QTimerInfoList::timerWait (this=0xb140223c, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb61dce23 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xaf0340bc) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb61dcebd in timerSourcePrepare (source=0xb1402208, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb5e2d762 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb5e2df6f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb5e2e1c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb61dd8e7 in QEventDispatcherGlib::processEvents (this=0xb1403650, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0xb61a950d in QEventLoop::processEvents (this=0xaf034240, flags=...) at kernel/qeventloop.cpp:149
#12 0xb61a97a9 in QEventLoop::exec (this=0xaf034240, flags=...) at kernel/qeventloop.cpp:204
#13 0xb609294c in QThread::exec (this=0xb49a348) at thread/qthread.cpp:501
#14 0xb6186b5d in QInotifyFileSystemWatcherEngine::run (this=0xb49a348) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb6095de0 in QThreadPrivate::start (arg=0xb49a348) at thread/qthread_unix.cpp:298
#16 0xb5f00d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0xb76d2ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0xae833b40 (LWP 13505)):
#0  0xb76e0628 in pthread_mutex_unlock () from /lib/i386-linux-gnu/libc.so.6
#1  0xb5e6d3d0 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb5e2da46 in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb5e2e002 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb5e2e1c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb61dd8e7 in QEventDispatcherGlib::processEvents (this=0xb1e03590, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb61a950d in QEventLoop::processEvents (this=0xae833240, flags=...) at kernel/qeventloop.cpp:149
#7  0xb61a97a9 in QEventLoop::exec (this=0xae833240, flags=...) at kernel/qeventloop.cpp:204
#8  0xb609294c in QThread::exec (this=0xb4a6ac8) at thread/qthread.cpp:501
#9  0xb6186b5d in QInotifyFileSystemWatcherEngine::run (this=0xb4a6ac8) at io/qfilesystemwatcher_inotify.cpp:248
#10 0xb6095de0 in QThreadPrivate::start (arg=0xb4a6ac8) at thread/qthread_unix.cpp:298
#11 0xb5f00d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#12 0xb76d2ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xadf9eb40 (LWP 13506)):
#0  0xb77b3424 in __kernel_vsyscall ()
#1  0xb5f0496b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb76e03dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xaf890029 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#4  0xaf89006f in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#5  0xb5f00d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0xb76d2ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb4d70980 (LWP 13411)):
[KCrash Handler]
#7  0xb77b3424 in __kernel_vsyscall ()
#8  0xb76161ef in raise () from /lib/i386-linux-gnu/libc.so.6
#9  0xb7619835 in abort () from /lib/i386-linux-gnu/libc.so.6
#10 0xb76512fa in ?? () from /lib/i386-linux-gnu/libc.so.6
#11 0xb76e7dd5 in __fortify_fail () from /lib/i386-linux-gnu/libc.so.6
#12 0xb76e6baa in __chk_fail () from /lib/i386-linux-gnu/libc.so.6
#13 0xb76e6208 in ?? () from /lib/i386-linux-gnu/libc.so.6
#14 0xb7659461 in _IO_default_xsputn () from /lib/i386-linux-gnu/libc.so.6
#15 0xb762dbe0 in vfprintf () from /lib/i386-linux-gnu/libc.so.6
#16 0xb76e62d9 in __vsprintf_chk () from /lib/i386-linux-gnu/libc.so.6
#17 0xb76e61ef in __sprintf_chk () from /lib/i386-linux-gnu/libc.so.6
#18 0xaf5b79e0 in sprintf (__fmt=0xaf5c42fd "%s", __s=0xbfa5d5cc "2012-05-31T14:32:46 Checking update-file '/usr/share/kde4/apps/kconf_update/kca") at /usr/include/i386-linux-gnu/bits/stdio2.h:35
#19 Tags::getMatches (tagpart=..., partial=false, types=...) at ../../../../kate/plugins/kate-ctags/tags.cpp:78
#20 0xaf5b7fd1 in Tags::getMatches (file=..., tagpart=..., partial=false, types=...) at ../../../../kate/plugins/kate-ctags/tags.cpp:149
#21 0xaf5be2f5 in KateCTagsView::gotoTagForTypes (this=0xb45c830, word=..., types=...) at ../../../../kate/plugins/kate-ctags/kate_ctags_view.cpp:267
#22 0xaf5be9bc in KateCTagsView::gotoDeclaration (this=0xb45c830) at ../../../../kate/plugins/kate-ctags/kate_ctags_view.cpp:261
#23 0xaf5b5de8 in qt_static_metacall (_a=0xbfa5d838, _id=1, _o=0xb45c830, _c=<optimized out>) at moc_kate_ctags_view.cpp:69
#24 KateCTagsView::qt_static_metacall (_o=0xb45c830, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfa5d838) at moc_kate_ctags_view.cpp:62
#25 0xb61c16b1 in QMetaObject::activate (sender=0xb46beb8, m=0xb75c63f8, local_signal_index=1, argv=0xbfa5d838) at kernel/qobject.cpp:3547
#26 0xb6c479bd in QAction::triggered (this=0xb46beb8, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#27 0xb6c47c5b in QAction::activate (this=0xb46beb8, event=QAction::Trigger) at kernel/qaction.cpp:1257
#28 0xb7109443 in QMenuPrivate::activateCausedStack (this=0xb46ba48, causedStack=..., action=0xb46beb8, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1028
#29 0xb711031f in QMenuPrivate::activateAction (this=0xb46ba48, action=0xb46beb8, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1120
#30 0xb7113005 in QMenu::mouseReleaseEvent (this=0xb45c0f0, e=0xbfa5e074) at widgets/qmenu.cpp:2360
#31 0xb6656e6c in KMenu::mouseReleaseEvent (this=0xb45c0f0, e=0xbfa5e074) at ../../kdeui/widgets/kmenu.cpp:464
#32 0xb6ca91ac in QWidget::event (this=0xb45c0f0, event=0xbfa5e074) at kernel/qwidget.cpp:8362
#33 0xb7111a8c in QMenu::event (this=0xb45c0f0, e=0xbfa5e074) at widgets/qmenu.cpp:2469
#34 0xb6c4eed4 in notify_helper (e=0xbfa5e074, receiver=0xb45c0f0, this=0x9f15ac0) at kernel/qapplication.cpp:4559
#35 QApplicationPrivate::notify_helper (this=0x9f15ac0, receiver=0xb45c0f0, e=0xbfa5e074) at kernel/qapplication.cpp:4531
#36 0xb6c55024 in QApplication::notify (this=0x9f15ac0, receiver=0xb45c0f0, e=0xbfa5e074) at kernel/qapplication.cpp:4102
#37 0xb6578b61 in KApplication::notify (this=0xbfa5e8f0, receiver=0xb45c0f0, event=0xbfa5e074) at ../../kdeui/kernel/kapplication.cpp:311
#38 0xb61aa97e in QCoreApplication::notifyInternal (this=0xbfa5e8f0, receiver=0xb45c0f0, event=0xbfa5e074) at kernel/qcoreapplication.cpp:876
#39 0xb6c4fe95 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#40 QApplicationPrivate::sendMouseEvent (receiver=0xb45c0f0, event=0xbfa5e074, alienWidget=0x0, nativeWidget=0xb45c0f0, buttonDown=0xb75e3cf4, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3170
#41 0xb6cdc7d2 in QETWidget::translateMouseEvent (this=0xb45c0f0, event=0xbfa5e52c) at kernel/qapplication_x11.cpp:4551
#42 0xb6cdac0d in QApplication::x11ProcessEvent (this=0xbfa5e8f0, event=0xbfa5e52c) at kernel/qapplication_x11.cpp:3732
#43 0xb6d07eac in x11EventSourceDispatch (s=0x9f15580, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#44 0xb5e2dcda in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#45 0xb5e2e0e5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#46 0xb5e2e1c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#47 0xb61dd887 in QEventDispatcherGlib::processEvents (this=0x9ee6ef0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#48 0xb6d07aaa in QGuiEventDispatcherGlib::processEvents (this=0x9ee6ef0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#49 0xb61a950d in QEventLoop::processEvents (this=0xbfa5e824, flags=...) at kernel/qeventloop.cpp:149
#50 0xb61a97a9 in QEventLoop::exec (this=0xbfa5e824, flags=...) at kernel/qeventloop.cpp:204
#51 0xb61aeeba in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#52 0xb6c4ca74 in QApplication::exec () at kernel/qapplication.cpp:3820
#53 0xb77aa905 in kdemain (argc=118, argv=0xbfa5ef54) at ../../../kate/app/katemain.cpp:377
#54 0x080484fb in main (argc=118, argv=0xbfa5ef54) at kate_dummy.cpp:3

Reported using DrKonqi
Comment 1 Dominik Haumann 2012-06-03 10:12:01 UTC
Git commit 5a9ba64ad0b8b79230cf8b3c1ab40392a3357b54 by Dominik Haumann.
Committed on 03/06/2012 at 12:09.
Pushed by dhaumann into branch 'master'.

sprintf: fix buffer overflow

M  +1    -4    kate/plugins/kate-ctags/tags.cpp

http://commits.kde.org/kate/5a9ba64ad0b8b79230cf8b3c1ab40392a3357b54
Comment 2 Dominik Haumann 2012-06-03 10:12:45 UTC
Git commit 5e098905152e5536e855f09de082ab9f1b9b22cb by Dominik Haumann.
Committed on 03/06/2012 at 12:09.
Pushed by dhaumann into branch 'KDE/4.8'.

sprintf: fix buffer overflow

M  +1    -4    kate/plugins/kate-ctags/tags.cpp

http://commits.kde.org/kate/5e098905152e5536e855f09de082ab9f1b9b22cb
Comment 3 Dominik Haumann 2012-06-03 10:14:22 UTC
I'm not sure whether the fix will make it into KDE 4.8.4. Maybe it's either KDE 4.8.5 or KDE 4.9.
Comment 4 Kåre Särs 2012-09-19 06:34:41 UTC
*** Bug 307005 has been marked as a duplicate of this bug. ***